module RipeDbClient
  class Query

    #
    # Look up the exact value of the key/value pair
    # @param lookup_key [String]
    #   This is the name of the person you are doing the lookup for
    # @param return_raw [Boolean]
    #   Set this to true to return the RAW(Unparsed) Hash
    #
    # @example  lookup_person("MPS31-RIPE")
    #
    # @return [Hash] The Hash of values for the returned object
    #

    def lookup_person(lookup_key,return_raw = false)
      local_result = self.lookup('person', "#{lookup_key}")
      if return_raw
        return local_result
      else
        return person_parser(local_result)
      end

    end



    private

    def person_parser(returned_hash)

    end
  end
end
